import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapInteriorMappingTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout("Texture Attribues", collapse=False)
        self.addControl('ceiling_texture', label='Ceiling Texture', annotation='Ceiling Texture')
        self.addControl('floor_texture', label='Floor Texture', annotation='Floor Texture')
        self.addControl('wall_xy_texture', label='Wall XY Texture', annotation='Wall XY Texture')
        self.addControl('wall_zy_texture', label='Wall ZY Texture', annotation='Wall ZY Texture')
        self.addControl('wall_frequencies', label='Wall Frequencies', annotation='Wall Frequencies')
        self.endLayout()

        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()
        
